# Class SAMFileHeader.PgIdGenerator

java.lang.Object
htsjdk.samtools.SAMFileHeader.PgIdGenerator

Enclosing class:
  `SAMFileHeader`

public static class SAMFileHeader.PgIdGenerator extends Object
Little class to generate program group IDs

## Constructor Summary

Constructors
Constructor
Description
`PgIdGenerator(SAMFileHeader header)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getNonCollidingId(String recordId)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PgIdGenerator

public PgIdGenerator(SAMFileHeader header)

## Method Details

### getNonCollidingId

public String getNonCollidingId(String recordId)